%global mod_name extras-executable-war
%global short_name executable-war

Name:           jenkins-executable-war
Version:        1.29
Release:        3%{?dist}
Summary:        Jenkins Executable War

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/extras-executable-war
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

Patch0:         0001-Work-with-exploded-WAR.patch

BuildRequires:  maven-local

BuildArch:      noarch

%description
This package enables executable war support for Jenkins.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .

# there is a licensing issue with parent POM
# https://issues.jenkins-ci.org/browse/JENKINS-17682
# it doesn't contain anything interesting, we can remove it
%pom_remove_parent

%pom_xpath_replace "pom:build/pom:plugins/pom:plugin[pom:artifactId[text()='maven-compiler-plugin']]/pom:configuration/pom:source" "1.5"
%pom_xpath_replace "pom:build/pom:plugins/pom:plugin[pom:artifactId[text()='maven-compiler-plugin']]/pom:configuration/pom:target" "1.5"

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Sep 22 2014 Michal Srb <msrb@redhat.com> - 1.29-3
- Work with exploded WAR

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Michal Srb <msrb@redhat.com> - 1.29-1
- Initial packaging

